Upgrade to Kernel 3.2

Message
Author
User avatar
michelmassoud
Forum Regular
Forum Regular
Posts: 805
Age: 57
Joined: Tue Jul 27, 2010 7:02 am

Re: Upgrade to Kernel 3.2

#21 Postby michelmassoud » Sun Jun 10, 2012 6:33 pm

timkb4cq wrote:Since it's a dkms error, check your dkms version (as root, dkms --version). I would have thought it would upgrade with the kernel, but I would have been wrong. There's an updated version (2.2.0.2-1~bpo60+1) in squeeze-backports. To upgrade that from the command line, would be

Code: Select all

apt-get -t=squeeze-backports install dkms
Then run sgfxi again.


I did the upgrade and ran sgfxi again and got the same error!

Michel

User avatar
kmathern
Forum Veteran
Forum Veteran
Posts: 8943
Age: 57
Joined: Wed Jul 12, 2006 2:26 pm

Re: Upgrade to Kernel 3.2

#22 Postby kmathern » Sun Jun 10, 2012 6:52 pm

My guess is the fglrx-8.961 source doesn't support / (isn't usable with) the 3.2.x kernel.

edit: well maybe it does support the 3.2 kernel {that "8.961" was confusing me). It looks like fglrx-8.961 is (or uses) Catalyst 12.4 which is the current release.
Last edited by kmathern on Sun Jun 10, 2012 7:08 pm, edited 1 time in total.

User avatar
timkb4cq
Forum Veteran
Forum Veteran
Posts: 3364
Joined: Wed Jul 12, 2006 4:05 pm

Re: Upgrade to Kernel 3.2

#23 Postby timkb4cq » Sun Jun 10, 2012 7:05 pm

Kmathern is probably right. If you have an older AMD/ATI chipset the latest available driver that supports that card won't always work with 3.x kernels.
It looks like your card is considered a "legacy" card since it's trying to use the oldest supported fglrx driver.

You could try to use sgfxi to install the open source ati (radeon) driver.

Code: Select all

sgfxi -N radeon
sgfxi will set up some things a bit differently than xserver-xorg's autodetection does so it might work.
MSI 970A-G43 MB, AMD FX-6300 (six core), 16GB RAM, GeForce 730, Samsung 850 EVO 250GB SSD, Seagate Barracuda XT 3TB

User avatar
michelmassoud
Forum Regular
Forum Regular
Posts: 805
Age: 57
Joined: Tue Jul 27, 2010 7:02 am

Re: Upgrade to Kernel 3.2

#24 Postby michelmassoud » Wed Jun 13, 2012 4:59 pm

timkb4cq wrote:Kmathern is probably right. If you have an older AMD/ATI chipset the latest available driver that supports that card won't always work with 3.x kernels.
It looks like your card is considered a "legacy" card since it's trying to use the oldest supported fglrx driver.

You could try to use sgfxi to install the open source ati (radeon) driver.

Code: Select all

sgfxi -N radeon
sgfxi will set up some things a bit differently than xserver-xorg's autodetection does so it might work.



Sorry for taking so long but I was trying to decide and I finally decided that my system's stability was more important than overall performance. So I guess I will wait for Mepis 12 now without taking the risk of screwing things up.

Thanks for taking me through my first Kernel update.

Michel


Return to “General”

Who is online

Users browsing this forum: No registered users and 2 guests